(* Программа spawn - демонстрация вызова fork *)
uses linux;

var
  pid:longint;			(* process-id в родительском процессе *)
begin
  writeln ('Пока всего один процесс');
  writeln ('Вызов fork...');

  pid := fork;		(* создание нового процесса *)

  if pid = 0 then
    writeln ('Дочерний процесс')
  else if (pid > 0) then
    writeln ('Родительский процесс, pid потомка ', pid)
  else
    writeln ('Ошибка вызова fork, потомок не создан');
end.
